> ## Documentation Index
> Fetch the complete documentation index at: https://docs.commvoice.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Put v1smsroutingplans rules split



## OpenAPI

````yaml https://api.comm.com/docs/api.json put /v1/sms/routing/plans/{plan}/rules/{rule}/split
openapi: 3.1.0
info:
  title: Commvoice API
  version: '1'
servers:
  - url: https://api.comm.com/api
    description: Live
security:
  - http: []
paths:
  /v1/sms/routing/plans/{plan}/rules/{rule}/split:
    put:
      tags:
        - SmsRoutingPlanRules
      operationId: sms.routing.plans.rules.split.patch
      parameters:
        - name: plan
          in: path
          required: true
          description: The plan ID
          schema:
            type: string
            format: uuid
        - name: rule
          in: path
          required: true
          description: The rule ID
          schema:
            type: string
            format: uuid
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                country_id:
                  type:
                    - integer
                    - 'null'
                network_id:
                  type:
                    - number
                    - 'null'
                network_brand_id:
                  type:
                    - string
                    - 'null'
                  format: uuid
                is_active:
                  type: boolean
                priority:
                  type: integer
                route_ids:
                  type: array
                  items:
                    type: string
                limit:
                  type:
                    - number
                    - 'null'
              required:
                - route_ids
      responses:
        '200':
          description: '`SmsRoutingPlanRuleResource`'
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/SmsRoutingPlanRuleResource'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    SmsRoutingPlanRuleResource:
      type: object
      properties:
        id:
          type: string
        sms_route_id:
          type:
            - string
            - 'null'
        sms_routing_plan_id:
          type:
            - string
            - 'null'
        country_id:
          type: integer
        network_id:
          type:
            - integer
            - 'null'
        network_brand_id:
          type:
            - string
            - 'null'
        is_active:
          type: boolean
        priority:
          type: integer
        action:
          type: string
        created_at:
          type:
            - string
            - 'null'
          format: date-time
        updated_at:
          type:
            - string
            - 'null'
          format: date-time
        action_vars:
          $ref: '#/components/schemas/SmsRoutingPlanRuleSplitActionVarsData'
          description: Optional action vars for split action
      required:
        - id
        - sms_route_id
        - sms_routing_plan_id
        - country_id
        - network_id
        - network_brand_id
        - is_active
        - priority
        - action
        - created_at
        - updated_at
        - action_vars
      title: SmsRoutingPlanRuleResource
    SmsRoutingPlanRuleSplitActionVarsData:
      type: object
      properties:
        route_ids:
          type: array
          items:
            type: string
        limit:
          type:
            - integer
            - 'null'
      required:
        - route_ids
        - limit
      title: SmsRoutingPlanRuleSplitActionVarsData
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````